{% load compress %}
{% load static %}
{% load wagtailuserbar %}

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js"> <!--<![endif]-->
<head>
    {% block extra_head_top %}{% endblock %}
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    {% block extra_meta %}{% endblock %}
    <title>
        {% block title %}
            {% if self.seo_title %}{{ self.seo_title }}{% else %}{{ self.title }}{% endif %}
        {% endblock %}
        {% block title_suffix %}
            {% with self.get_site.site_name as site_name %}
                {% if site_name %}- {{ site_name }}{% endif %}
            {% endwith %}
        {% endblock %}
    </title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="shortcut icon" href="{% static 'favicon.png' %}"/>

    {% compress css %}
        {# Global stylesheets #}
        <link rel="stylesheet" type="text/x-scss" href="{% static 'scss/ottb.scss' %}">

        {% block extra_css %}
        {% endblock extra_css %}
    {% endcompress %}
    {% block extra_head_bottom %}{% endblock %}
</head>

<body class="{% block body_class %}{% endblock body_class %}">
{% block extra_body_top %}{% endblock %}

{% wagtailuserbar %}

{% block header %}
    {% include 'includes/header.html' with parent=site_root calling_page=self %}
{% endblock header %}

{% block content %}{% endblock %}

{% block footer %}
    {% include 'includes/footer.html' %}
{% endblock footer %}

{% block extra_early_uncompressed_js %}{% endblock %}
{% compress js %}
    {# Global javascript #}
    <script type="text/javascript" src="{% static 'js/jquery/jquery.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/popper/umd/popper.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/bootstrap/bootstrap.js' %}"></script>
    {% block extra_js %}{% endblock %}
{% endcompress %}
{% block extra_uncompressed_js %}{% endblock %}
{% block extra_body_bottom %} {% endblock %}
</body>
</html>
